package com.xty.network.model

import java.nio.DoubleBuffer

data class FoodRecoginzeInfo(
    val id:Long,
    val img:String,
    val heat:Float, //热量(大卡/100g)
    val df:Float, //膳食纤维(g/100g
    val cho:Float,//碳水化合物(g/100g)

    val chol:Float,//胆固醇(mg/100g)

    val na:Float,//钠(mg/100g)

    val vit_a:Float,//维生素A(μg/100g)

    val vit_b1:Float,//维生素B1(mg/100g)

    val vit_c:Float,//维生素C(mg/100g)

    val faca:Float,//质量(g)

    val protein:Float,//蛋白质(g/100g)

    val vit_b2:Float,//维生素B2(mg/100g)
    val vpp:Float,//烟酸(mg/100g)

    val vit_e:Float,//维生素E(mg/100g)

    val name:String,//食品中文名

    val fat:Float,//脂肪(g/100g)

    val ca:Float,//钙(mg/100g)

    val as_name:String,//别名

    val fe:Float,//铁(mg/100g)
    val recipe_id:Long,
     var isCheck:Boolean = false
) {
}